/*!
UI v0.0.1
MIT License
Copyright (c) 2019 Luummii <mail@luummii.com>
*/
.ui-menu {
  box-sizing: border-box;
}

.ui-menu-fixed {
  position: fixed;
  left: 0;
  top: 0;
  z-index: 3;
}

.ui-menu-list {
  position: relative;
  list-style: none;
  margin: 0;
  padding: 0;
}

.ui-menu-item {
  position: relative;
  padding: 0;
  margin: 0;
  height: 100%;

  /* Submenus should still be display: block; */
  .ui-menu-item {
    display: block;
  }
}

.ui-menu-link {
  display: block;
  text-decoration: none;
  white-space: nowrap;
  color: #777;
  padding: .5em 1em;

  &:hover {
    background-color: #eee;
  }

  &:focus {
    background-color: #eee;
  }
}

.ui-menu-heading {
  display: block;
  text-decoration: none;
  white-space: nowrap;
  text-transform: uppercase;
  color: #565d64;
  padding: .5em 1em;
}

.ui-menu-separator {
  background-color: #ccc;
  height: 1px;
  margin: .3em 0;
}

.ui-menu-children {
  background-color: #fff;
  display: none;
  position: absolute;
  left: 100%;
  top: 0;
  margin: 0;
  padding: 0;
  z-index: 3;
}

.ui-menu-disabled {
  padding: .5em 1em;
  opacity: .5;

  .ui-menu-link {
    &:hover {
      background-color: transparent; 
    }
  }
}

.ui-menu-selected {
  .ui-menu-link {
    color: $black;

    &:visited {
      color: $black;
    }
  }
}

/* scrollable menus */
.ui-menu-scrollable {
  overflow-y: scroll;
  overflow-x: hidden;

  .ui-menu-list {
    display: block;
  }
}

/* HORIZONTAL MENU */
.ui-menu-horizontal {
  width: 100%;
  white-space: nowrap;

  .ui-menu-list {
    display: inline-block;
  }

  /* Initial menus should be inline-block so that they are horizontal */
  .ui-menu-item, .ui-menu-heading {
    display: inline-block;
    zoom: 1;
    vertical-align: middle;
  }

  .ui-menu-children {
    left: 0;
    top: auto;
    width: inherit;

    /* Need to reset the separator since submenu is vertical */
    .ui-menu-separator {
      display: block;
      width: auto;
      background-color: #ccc;
      height: 1px;
      margin: .3em 0;
    }
  }

  /* Horizontal Menus - show the dropdown arrow */
  .ui-menu-has-children > .ui-menu-link:after { 
    content: "\25BE";
  }

  .ui-menu-separator {
    display: inline-block;
    zoom: 1;
    vertical-align: middle;
    width: 1px;
    height: 1.3em;
    margin: 0 .3em ;
  }
}

.ui-menu-allow-hover:hover > .ui-menu-children,
.ui-menu-active > .ui-menu-children {
  display: block;
  position: absolute;
}

/* Vertical Menus - show the dropdown arrow */
.ui-menu-has-children > .ui-menu-link:after {
  padding-left: 0.5em;
  content: "\25B8";
  font-size: small;
}

.ui-menu-horizontal.ui-menu-scrollable .ui-menu-list {
  display: inline-block;
}

.ui-menu-horizontal.ui-menu-scrollable {
  white-space: nowrap;
  overflow-y: hidden;
  overflow-x: auto;
  -ms-overflow-style: none;
  -webkit-overflow-scrolling: touch;
  /* a little extra padding for this style to allow for scrollbars */
  padding: .5em 0;
}

.ui-menu-horizontal.ui-menu-scrollable::-webkit-scrollbar {
  display: none;
}

.ui-menu-active > .ui-menu-link {
    background-color: #eee;
}